Package org.optaplanner.core.config.heuristic.selector.entity.pillar

## Class SubPillarConfigPolicy

- java.lang.Object
- - org.optaplanner.core.config.heuristic.selector.entity.pillar.SubPillarConfigPolicy

-     public final class SubPillarConfigPolicy
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Comparator<?>` | `getEntityComparator()` |
    `int` | `getMaximumSubPillarSize()` |
    `int` | `getMinimumSubPillarSize()` |
    `boolean` | `isSubPillarEnabled()` |
    `static SubPillarConfigPolicy` | `sequential​(int minSize, int maxSize, Comparator<?> entityComparator)` |
    `static SubPillarConfigPolicy` | `sequentialUnlimited​(Comparator<?> entityComparator)` |
    `static SubPillarConfigPolicy` | `withoutSubpillars()` |
    `static SubPillarConfigPolicy` | `withSubpillars​(int minSize, int maxSize)` |
    `static SubPillarConfigPolicy` | `withSubpillarsUnlimited()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withoutSubpillars

          public static SubPillarConfigPolicy withoutSubpillars()

    - #### withSubpillars

          public static SubPillarConfigPolicy withSubpillars​(int minSize,
                                                             int maxSize)

    - #### withSubpillarsUnlimited

          public static SubPillarConfigPolicy withSubpillarsUnlimited()

    - #### sequential

          public static SubPillarConfigPolicy sequential​(int minSize,
                                                         int maxSize,
                                                         Comparator<?> entityComparator)

    - #### sequentialUnlimited

          public static SubPillarConfigPolicy sequentialUnlimited​(Comparator<?> entityComparator)

    - #### isSubPillarEnabled

          public boolean isSubPillarEnabled()

    - #### getMinimumSubPillarSize

          public int getMinimumSubPillarSize()

      Returns:
        Less than 1 when `isSubPillarEnabled()` false.

    - #### getMaximumSubPillarSize

          public int getMaximumSubPillarSize()

      Returns:
        Less than 1 when `isSubPillarEnabled()` false.

    - #### getEntityComparator

          public Comparator<?> getEntityComparator()

      Returns:
        Not null if the subpillars are to be treated as sequential. Always null if `subPillarEnabled` is false.